%define upstream_name    IPC-SRLock
%define upstream_version 0.29.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Null) >= 2.110.730
BuildRequires: perl(Date::Format) >= 2.240.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::DataClass)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::ShareLite) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.420.200
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Time::Elapsed) >= 0.310.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.5
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.29.1-2.mga6
+ Revision: 1028808
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.29.1-1.mga6
+ Revision: 1001992
- update to 0.29.1

* Fri Feb 19 2016 umeabot <umeabot> 0.26.1-2.mga6
+ Revision: 967960
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.26.1-1.mga6
+ Revision: 850916
- update to 0.26.1

* Sat Oct 18 2014 umeabot <umeabot> 0.22.1-4.mga5
+ Revision: 787906
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.22.1-3.mga5
+ Revision: 739903
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.22.1-1.mga5
+ Revision: 623861
- update to 0.22.1

* Sat Feb 08 2014 sander85 <sander85> 0.21.1-1.mga5
+ Revision: 586170
- update to 0.21.1

* Sat Oct 19 2013 umeabot <umeabot> 0.19.1-2.mga4
+ Revision: 534734
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.19.1-1.mga4
+ Revision: 478682
- update to 0.19.1

* Thu Sep 12 2013 sander85 <sander85> 0.18.1-1.mga4
+ Revision: 478025
- update to 0.18.1

* Sun Sep 08 2013 sander85 <sander85> 0.16.1-1.mga4
+ Revision: 476082
- update to 0.16.1

* Mon Aug 19 2013 sander85 <sander85> 0.14.3-1.mga4
+ Revision: 467799
- update to 0.14.3

* Wed Aug 14 2013 sander85 <sander85> 0.14.1-1.mga4
+ Revision: 466416
- update to 0.14.1

* Wed Aug 07 2013 sander85 <sander85> 0.13.3-1.mga4
+ Revision: 464451
- update to v0.13.3

* Wed Aug 07 2013 sander85 <sander85> 0.13.2-1.mga4
+ Revision: 464341
- update to v0.13.2

* Tue Aug 06 2013 sander85 <sander85> 0.13.1-1.mga4
+ Revision: 464273
- update to v0.13.1

* Sun Aug 04 2013 sander85 <sander85> 0.12.7-1.mga4
+ Revision: 463468
- update to v0.12.7

* Fri Aug 02 2013 sander85 <sander85> 0.12.6-1.mga4
+ Revision: 462683
- update to v0.12.6

* Wed Jul 31 2013 sander85 <sander85> 0.12.5-1.mga4
+ Revision: 461443
- update to v0.12.5

* Tue Jul 30 2013 sander85 <sander85> 0.12.4-1.mga4
+ Revision: 460977
- update to v0.12.4

* Mon Jul 29 2013 sander85 <sander85> 0.12.3-1.mga4
+ Revision: 460645
- update to v0.12.3

* Sun Jul 28 2013 sander85 <sander85> 0.12.2-1.mga4
+ Revision: 459982
- update to v0.12.2

* Sun Jan 13 2013 umeabot <umeabot> 0.8.205-2.mga3
+ Revision: 368644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.8.205-1.mga3
+ Revision: 317616
- update to 0.8.205

* Sun Oct 21 2012 jquelin <jquelin> 0.8.199-1.mga3
+ Revision: 308884
- adding missing buildrequires:
- imported package perl-IPC-SRLock


* Sun Oct 21 2012 cpan2dist 0.8.199-1mga
- initial mageia release, generated with cpan2dist
